#include "main.h"
#include "sram.h"
#include "nandflash.h"
#include "usart.h"
#include "malloc.h"
#include "demo_nand_fatfs.h"
#include "cjson.h" 
#include "delay.h"
#include "string.h"
#include "includes.h"
#include "lwip/timers.h"
#include "led.h"

#include "sys_tcpdemo.h"
#include "sys_mqtt.h"
#include "sys_http.h"
#include "task.h"
#include "sys_sx1278.h"

/*ȼ䣨Ϊ12Ҫ޸ޣ
*  0: 
*  1: ucosʱ
*	 2: 
*  3:  ̫ݰȡ  ETHERNETIF_THREAD_PRO
*  4: LWIP ߳    TCPIP_THREAD_PRIO
*  5:  ota
*  6:  MQTTݷ߳  APP_TASK_MQTTMAIN_PRIO
*  7:  MQTTݽ߳  APP_TASK_MQTTRECEIVE_PRIO
*  8:  sx1278/մ
*  9:  ״̬ledʾ      
* 10״̬ledʾ
* 11ѯϢ͵sx1278ͽ߳
* 12ڹ߳
*/



///////////////////////////////////////
#define  PERIOD_TASK_PRIO     2
#define  PERIOD_STK_SIZE  	 	256
OS_STK 	 PERIOD_TASK_STK[PERIOD_STK_SIZE];
void period_taskFuntcion(void *arg);

//////////////////////////////////////////////
//LED
//LEDȼ
#define LED_TASK_PRIO       	28
//LEDջռС
#define LED_STK_SIZE  	    	128
//ջ
OS_STK LED_TASK_STK[LED_STK_SIZE];
//led
void led_taskFuntcion(void *pdata);
////////////////////////////////////////////////////////

/*---------------------------̶߳ջ----------------------------------------------------------------*/
__align(8) OS_STK DATA_TASK_STK[DATA_STK_SIZE];
/*---------------------------lora̶ͨ߳ջ----------------------------------------------------------------*/
__align(8) OS_STK SX1278_TASK_STK[SX1278_STK_SIZE];

void NVIC_Configuration(void);

int main(void)
{
	NVIC_Configuration();
	my_mem_init(SRAMEX);
	my_mem_init(SRAMIN);
	delay_init();
 
	//nandflashóʼfaftsʱʼ
	NET_STATUS_LED_Config();
	USART_485_config();	
  USART_232_config();	
	NAND_Init();
	OSInit();
	//OSTaskCreate(start_task,(void*)0,(OS_STK*)&START_TASK_STK[START_STK_SIZE-1],START_TASK_PRIO);
	OSTaskCreate(period_taskFuntcion,(void*)0,(OS_STK*)&PERIOD_TASK_STK[PERIOD_STK_SIZE-1],PERIOD_TASK_PRIO);
	OSTaskCreate(led_taskFuntcion,(void*)0,(OS_STK*)&LED_TASK_STK[LED_STK_SIZE-1],LED_TASK_PRIO);
	OSTaskCreate(data_task,(void*)0,(OS_STK*)&DATA_TASK_STK[DATA_STK_SIZE-1],DATA_TASK_PRIO);
	OSTaskCreate(sx1278_send_task,(void *)0,(OS_STK*)&SX1278_TASK_STK[SX1278_STK_SIZE-1],SX1278_TASK_PRIO);
	printf("system start \r\n");
	OSStart(); //ucos
  /* Infinite loop */
  while (1)
  {
		
  }
	
}

void period_taskFuntcion(void *arg)
{
	
	
#if OS_TASK_STAT_EN > 0u
  OSStatInit();
#endif
	
	lwIP_Init();
	
	http_getDemo();
	http_postDemo();
	
	mqtt_threadCreate();
	
	OSTaskSuspend(OS_PRIO_SELF); 
}

//
void led_taskFuntcion(void *pdata)
{
	int tms;
	
	while(1)
	{
		tms = hd_netledOpen();
		OSTimeDly(tms);				
	
		tms = hd_netledClose();
		OSTimeDly(tms);	
	}
}



void bsp_Idle(void)
{
	/* --- ι */

	/* --- CPUߣSystickʱжϻѻжϻ */
}
 /**
  * @brief  ǶжϿNVIC
  * @param  
  * @retval 
  */
void NVIC_Configuration(void)
{
//  NVIC_InitTypeDef NVIC_InitStructure;
  
  /* ǶжϿѡ */
  NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
  
}


#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *   where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {}
}
#endif


